#
# spec file for package liberation2-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           liberation2-fonts
Version:        2.00.1
Release:        10.1
Summary:        Liberation Fonts
License:        OFL-1.1
Group:          System/X11/Fonts
Url:            https://fedorahosted.org/liberation-fonts/
Source0:        https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-ttf-%{version}.tar.gz
# following two configuration files should override configuration
# for liberation fonts 1.xx series (good native hinting instructions);
# it is better to use autohinter for liberation 2.0 nowdays
Source1:        12-suse-liberation2-hinting.conf
Source2:        17-suse-liberation2-hintstyle.conf
Source100:      %{name}-rpmlintrc
BuildRequires:  fontconfig
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       scalable-font-el
Provides:       locale(bg;el;ru;bg)
Conflicts:      liberation-fonts
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Free fonts which are metric compatible to "Arial", "Times New Roman"
and "Courier New".

%prep
%setup -q -n liberation-fonts-ttf-%{version}

%build
%if 0%{suse_version} >= 1220
# nothing to do
%else
# in suse 12.1 and lower, hinting setting was included
# in 50-pre-user.conf, so we have to increase priority
# numbers
cp %{SOURCE1} 51-suse-liberation2-hinting.conf
cp %{SOURCE2} 51-suse-liberation2-hintstyle.conf
%endif

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -pm 0644 *.ttf %{buildroot}%{_ttfontsdir}/
%if 0%{suse_version} >= 1220
%install_fontsconf %{SOURCE1}
%install_fontsconf %{SOURCE2}
%else
%install_fontsconf 51-suse-liberation2-hinting.conf
%install_fontsconf 51-suse-liberation2-hintstyle.conf
%endif

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README TODO
%{_ttfontsdir}
%files_fontsconf_availdir
%if 0%{suse_version} >= 1220
%files_fontsconf_file -l 12-suse-liberation2-hinting.conf
%files_fontsconf_file -l 17-suse-liberation2-hintstyle.conf
%else
%files_fontsconf_file -l 51-suse-liberation2-hinting.conf
%files_fontsconf_file -l 51-suse-liberation2-hintstyle.conf
%endif

%changelog
* Tue Nov 13 2012 pgajdos@suse.com
- for 12.1 and less, increase priority for *-suse-liberation2-hint*.conf
  to be read after 50-suse-pre-user.conf which includes ../suse-hinting.conf
* Mon Nov 12 2012 pgajdos@suse.com
- branched from liberation-fonts in order to keep Liberation fonts
  1.xx series in distribution [bnc#788838]
- created 12-suse-liberation2-hinting.conf and
  12-suse-liberation2-hintstyle.conf: use autohinting (hintfull)
* Thu Nov  8 2012 pgajdos@suse.com
- don't build from sources; build depends on fonttools 2.3 and that
  would break build for released distributions
* Thu Nov  8 2012 pgajdos@suse.com
- update to version 2.00.1:
  * Glyphs with multiple unicode encodings inhibit subsetting.
  * Following GASP table version as per Liberation old version.
  * Added support for Serbian glyphs for wikipedia.
* Thu Aug  2 2012 asterios.dramis@gmail.com
- Update to version 2.00.0.
- The package license changed to OFL-1.1.
- Build the fonts from sources. Added fontforge build requirement for this.
- Add a Provides: entry for "scalable-font-el".
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Fri May 25 2012 cfarrell@suse.com
- license update: SUSE-Liberation
  The correct license from the spreadsheet linked at license.opensuse.org
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Nov  2 2011 sreeves@suse.com
- Fix license - bnc#725370
* Tue Jan 11 2011 tiwai@suse.de
- updated to version 1.06.0.20100721, including Narrow fonts
  (bnc#661433)
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Thu Nov 27 2008 sbrabec@suse.cz
- Degrade to version 1.03. (bnc#440913)
* Sun Nov  2 2008 coolo@suse.de
- update to 1.04 - released in july (bnc#440913)
* Fri May 11 2007 mfabian@suse.de
- new package: liberation-fonts, version 0.1.
